<?php
 /**
     *  Prevent unauthorized users from accessing the sitemap
     *
     * @author Myron Turner <turnermm02@shaw.ca>
     */
if(!defined('DOKU_INC')) die();


class action_plugin_sitemapuser extends DokuWiki_Action_Plugin {

    /**
     * Register its handlers with the DokuWiki's event controller
     */
    public function register(Doku_Event_Handler $controller) {
        $controller->register_hook('ACTION_ACT_PREPROCESS', 'BEFORE', $this,
                                   'index_user_check');
    }

   
    public function index_user_check(&$event, $param) {          
        global $INFO;
        global $ACT;
            
        if($event->data == 'index' && !isset($INFO['userinfo'])) {
               $ACT='show';                 
               msg($this->getLang('alert'));      
        }
    }
}